Subject: Anonymous homedir and virtual FTP

From: Gildas Perrot <[email-masked]>
Date: Thu, 31 Jul 1997 12:36:08 +0200

Hi everybody,

I set a wu-ftpd-2.4.2-beta-12 server on my system and virtual hosts like :

# Virtual Server at 10.10.10.10
virtual 10.10.10.10 root    /var/ftp/virtual/ftp-serv 
virtual 10.10.10.10 banner  /var/ftp/virtual/ftp-serv/banner.msg
virtual 10.10.10.10 logfile /var/log/ftp/virtual/ftp-serv/xferlog

Furthermore, I would like to be able to do anonymous ftp with that virtual 
host and I have set a ftp user in /etc/passwd with homedir /ftp.

Now, if I ftp to *real* host as anonymous, I go in that /ftp directory. 

My problem is that I don't know in which directory I go when ftp to *virtual* 
host as anonymous. In fact, I can see any file with 'ls' in the root dir.

Any idea about that problem ?		TIA.		Gildas.
-- 
Gildas PERROT, [email-masked]         __o
FranceNet, 28 rue Desaix, 75015 Paris ---_ \<,_
http://www.francenet.fr            ---- (_)/ (_)